Node config - could not find a binding for your current environment: OS X 64-bit with Node.js 6.x

Posted in General by Singwai Sun Jun 26 2016 17:21:49 GMT+0000 (UTC)·1·Viewed 308 times

```/usr/local/lib/node_modules/quickshot/node_modules/node-sass/lib/index.js:15 throw new Error(errors.missingBinary()); ^ Error: Missing binding /usr/local/lib/node_modules/quickshot/node_modules/node-sass/vendor/darwin-x64-48/binding.node Node Sass could not find a binding for your current environment: OS X 64-bit with Node.js 6.x Found bindings for the following environments: - OS X 64-bit with Node.js 4.x This usually happens because your environment has changed since running `npm install`. Run `npm rebuild node-sass` to build the binding for your current environment. at Object.<anonymous> (/usr/local/lib/node_modules/quickshot/node_modules/node-sass/lib/index.js:15:11) at Module._compile (module.js:541:32) at Object.Module._extensions..js (module.js:550:10) at Module.load (module.js:458:32) at tryModuleLoad (module.js:417:12) at Function.Module._load (module.js:409:3) at Module.require (module.js:468:17) at require (internal/module.js:20:19) at Object.<anonymous> (/usr/local/lib/node_modules/quickshot/lib/theme/watch.js:13:12) at Module._compile (module.js:541:32) at Object.Module._extensions..js (module.js:550:10) at Module.load (module.js:458:32) at tryModuleLoad (module.js:417:12) at Function.Module._load (module.js:409:3) at Module.require (module.js:468:17) at require (internal/module.js:20:19)``` I did `npm install` reinstall sass rebuild sass The problem still persist. It will be great if I can get some guidance.
Bryan Morris
Aug 4, 2016
Read through this github issue... https://github.com/internalfx/quickshot/issues/32
  
Markdown is allowed